<?
if($_POST['submit'])
{
if($_POST['period'])
	{
	$q="DELETE FROM mess WHERE data < NOW() - INTERVAL ".$_POST['period']." MONTH ";

	if(mysql_query($q)) 
	echo '<p><font color=green>Сообщения удалены</font></p>';
	}
	else $err='ОШИБКА: Не указан возраст удаляемых сообщений';
}


if($err) echo '<p><font color=red>'.$err.'</font></p>'; 

?>
<table>
	<tr>
		<td>
		
		<form method="post" action="" >
			Возраст сообщений: 
			<select name="period">
			<option value="0"></option>
			<option value="12">Удалить сообщения старше 1 года</option>
			<option value="11">Удалить сообщения старше 11 месяцев</option>
			<option value="10">Удалить сообщения старше 10 месяцев</option>
			<option value="9">Удалить сообщения старше9 месяцев</option>
			<option value="8">Удалить сообщения старше 8 месяцев</option>
			<option value="7">Удалить сообщения старше 7 месяцев</option>
			<option value="6">Удалить сообщения старше 6 месяцев</option>
			<option value="5">Удалить сообщения старше 5 месяцев</option>
			<option value="4">Удалить сообщения старше 4 месяцев</option>
			<option value="3">Удалить сообщения старше 3 месяцев</option>
			<option value="2">Удалить сообщения старше 2 месяцев</option>
			<option value="1">Удалить сообщения старше 1 месяца</option>
			</select>

			<br>
			<input type="submit" name="submit" class="submit" value="Удалить">
		</form>
		</td>
	</tr>
</table>